Package: org.codehaus.groovy.runtime.wrappers

## [Java] Class Wrapper

- org.codehaus.groovy.runtime.wrappers.Wrapper

- All Implemented Interfaces and Traits:
    GroovyObject

      public abstract class Wrapper
      extends Object
      implements GroovyObject

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Class` | `constrainedType` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Wrapper(Class constrainedType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected abstract MetaClass` | `getDelegatedMetaClass()`
    `` | `public MetaClass` | `getMetaClass()`
    `` | `public Class` | `getType()`
    `` | `protected abstract Object` | `getWrapped()`
    `` | `public abstract Object` | `unwrap()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final Class constrainedType

  - ### Constructor Detail

    - #### public Wrapper(Class constrainedType)

  - ### Method Detail

    - #### protected abstract MetaClass getDelegatedMetaClass()

    - #### @Override
      public MetaClass getMetaClass()

    - #### public Class getType()

    - #### protected abstract Object getWrapped()

    - #### public abstract Object unwrap()